{% extends 'base.html' %}

{% block title %}Update Grade{% endblock %}

{% block content %}
    <div class="container mt-4">
        <h1>Update Grade</h1>
        <p>Grade ID: {{ grade.id }}</p>
        <p>Student: {{ grade.student }}</p>
        <p>Course: {{ grade.course }}</p>
        <form method="post">
            {% csrf_token %}
            <div class="mb-3">
                <label for="value" class="form-label">New Grade Value:</label>
                <input type="number" name="value" class="form-control" value="{{ grade.value }}">
            </div>
            <button type="submit" class="btn btn-primary">Update Grade</button>
        </form>
    </div>
{% endblock %}
